package com.qmth.distributed.print.business.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qmth.distributed.print.business.bean.dto.open.PaperDimension;
import com.qmth.distributed.print.business.entity.GradePaperDimension;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 分析-考察点维度表 Mapper 接口
 * </p>
 *
 * @author wangliang
 * @since 2022-05-20
 */
public interface GradePaperDimensionMapper extends BaseMapper<GradePaperDimension> {

    PaperDimension findBySchoolIdAndPaperNumberAndPaperType(@Param("schoolId") Long schoolId, @Param("paperNumber") String paperNumber, @Param("paperType") String paperType);
}
